[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.Width

Width for lines drawn using the Pen.

## Declaration

Source position: graphics.pp line 693

`published property TPen.Width default 1;`

## Description

Width is an Integer property which contains the width for the pen.

Setting a new value for the property causes the pen Reference to be re-created. The Changed method is called to signal the OnChange event handler (when assigned). The default value for the property is 1.

Width is related to the Cosmetic property. A cosmetic pen has a width of 1. Setting Width to a value larger than 1 prevents using it as a cosmetic pen.